Subject: [DMVR] Bart Holden R.I.P.

From: "Ric Johnson" <[email-masked]>
Date: Sat, 5 Nov 2011 21:29:34 -0500

For those who had not heard already it seems that Bart Holden passed away last
night. A visitation is to be held at Dunn's Funeral Home on Grand from 4-7pm
Wednesday evening. I don't have details for the funeral service.

Ric